<?php
namespace FiloBlu\Flow\Model\Filters;


class StrReplace extends AbstractFilter {

    public function filter($value,$args){
        if(trim($value) == '') return '';
        $value = trim($value);
        if($args && count($args) && isset($args['find']) && isset($args['replace'])) {
            $find = $args['find'];
            $replace = $args['replace'];
            $string = $value;
            $value = str_replace($find, $replace, $string);
        }
        return $value;
    }

}